
TYPO3.Flow - Bug # 28319

Status: Needs Feedback Priority: Should have
Author: Christopher Hlubek Category: Security
Created: 2011-07-19 Assigned To:
Updated: 2012-03-14 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: FLOW3 1.0.0
Subject: Access denied will be logged at the wrong location in nested calls
Description

If several method calls that were secured by the PolicyEnforcementAspect are nested, an AccessDeniedException will be logged for
the outer method even when the access to the inner method was not allowed.

This is misguiding and makes policy debugging very hard. We should try to log the method that was actually not allowed and try to
provide more context for debugging.

History
#1 - 2011-07-19 15:59 - Christopher Hlubek

Small update: Maybe this occurs only if the method that was denied is used in a runtime evaluation.

#2 - 2011-10-21 13:20 - Karsten Dambekalns
- Affected Flow version set to FLOW3 1.0.0

#3 - 2012-03-14 14:52 - Christian Müller
- Status changed from New to Needs Feedback
- Has patch set to No

Should we still keep this then?
